-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS users_budgets (
    id SERIAL PRIMARY KEY,
    user_id INT REFERENCES users(id) ON DELETE CASCADE,
    budget_id INT REFERENCES budgets(id) ON DELETE RESTRICT,
    created_at TIMESTAMP DEFAULT NOW()
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS users_budgets;
-- +goose StatementEnd
